Bug 88994 - Radeon VE QY: [drm:radeon_lock_take] *ERROR* 4 holds heavyweight lock
Radeon VE QY: [drm:radeon_lock_take] *ERROR* 4 holds heavyweight lock
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-04-16 03:13 EDT by Pawel Salek
Modified: 2007-04-18 12:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-29 17:30:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/etc/X11/XF86Config (3.54 KB, text/plain)
2003-04-16 08:52 EDT, Pawel Salek
no flags Details
/var/log/XFree86.0.log (307.31 KB, text/plain)
2003-05-07 04:22 EDT, Pawel Salek
no flags Details
/var/log/messages (9.36 KB, text/plain)
2003-05-07 04:24 EDT, Pawel Salek
no flags Details

  None (edit)
Description Pawel Salek 2003-04-16 03:13:09 EDT
Description of problem:
When browsing the list of screensavers, follwing message is emitted:
[drm:radeon_lock_take] *ERROR* 4 holds heavyweight lock

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon VE QY

on a 2-CPU Dell 450 (with HT enabled -> 4 logical processors).

The X server locked once when running a "Boxed" screensaver (the machine was
still alive and could be rebooted remotely).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run some OpenGL screensavers.
2. hope to see it, too.

Actual Results:  Warning messages. Ocassional hangs.

Additional info:

While this problem is not 100% reproducible, I thought I would file it here to
have the issue tracked (I have not found any related report).
Comment 1 Mike Chambers 2003-04-16 08:27:15 EDT
Please attach your XFree config file and log file (especially after the lockup
and such), and even dmesg (/var/log/messages).

Also, does the system hang/lock at all if *no* screen savers are running?
Comment 2 Pawel Salek 2003-04-16 08:50:10 EDT
System is _very_ stable when no DRI is involved (well, with RH8.0 there were
some problems with USB mice that lead to "keyboard controller jammed" error).

The lockup occured after "Apr 15 17:00". 

Apr 15 08:23:49 pi kernel: [drm:radeon_freelist_get] *ERROR* returning NULL!
Apr 15 17:52:41 pi kernel: [drm:radeon_lock_take] *ERROR* 4 holds heavyweight lock
Apr 15 21:39:59 pi kernel: [drm:radeon_freelist_get] *ERROR* returning NULL!
Apr 15 21:40:33 pi last message repeated 34 times
Apr 15 21:42:18 pi last message repeated 143 times
Apr 15 21:43:25 pi last message repeated 27 times
Apr 15 21:44:44 pi last message repeated 239 times
Apr 15 21:46:00 pi last message repeated 145 times
Apr 15 21:47:12 pi last message repeated 123 times
Apr 15 21:48:24 pi last message repeated 95 times
Apr 15 21:49:34 pi last message repeated 78 times
Apr 15 21:51:14 pi last message repeated 19 times
Apr 15 21:51:51 pi last message repeated 78 times
Apr 15 23:37:11 pi sshd(pam_unix)[7715]: session opened for user ingvar by (uid=542)
Apr 15 23:37:15 pi sshd(pam_unix)[7715]: session closed for user ingvar
Apr 16 01:38:51 pi kernel: [drm:radeon_lock_take] *ERROR* 4 holds heavyweight lock
Apr 16 05:50:26 pi kernel: [drm:radeon_lock_take] *ERROR* 4 holds heavyweight lock
Apr 16 07:52:44 pi login(pam_unix)[8228]: session opened for user pawsa by (uid=0)
Apr 16 07:52:44 pi login -- pawsa[8228]: LOGIN ON pts/5 BY pawsa FROM tau
Apr 16 07:53:44 pi shutdown: shutting down for system reboot
Comment 3 Pawel Salek 2003-04-16 08:52:57 EDT
Created attachment 91149 [details]

The XFree configuration.
Comment 4 Sammy 2003-04-16 12:21:01 EDT
I can confirm this behavior with the same card. I have now moved to (Apr 10) 
update+RH patches and have not seen it yet. 
Comment 5 Mike A. Harris 2003-04-30 22:49:13 EDT
You have attached your config file however you did not attach the rest
of the information requested above.  Please attach your X log file
from after the lockup, and the complete /var/log/messages file as individual
bugzilla attachments.

The more information you provide and the greater the detail, the more
likelyhood of us being able to determine the problem and possibly fix


Comment 6 Pawel Salek 2003-05-07 04:22:22 EDT
Created attachment 91528 [details]

The XFree86.log file.
Comment 7 Pawel Salek 2003-05-07 04:24:14 EDT
Created attachment 91529 [details]
Comment 8 Pawel Salek 2003-05-07 04:28:19 EDT
Sorry for the delay but this is a production machine and I am not allowed to
play with it whenever I like. The error message "[drm:radeon_lock_take] *ERROR*
4 holds heavyweight lock" has been reproduced by running "Boxed" screensaver
demo and switching between windows. The mouse still moved after the lockup but
the computer did not react to keyboard or mouse clicks. The lockup was removed
by logging in via ssh and killing boxed.
Comment 9 Mike A. Harris 2003-05-07 09:07:53 EDT
Sounds like a DRM problem.
Comment 10 Garry Optland 2003-06-25 00:27:03 EDT
Can confirm this bug is also evident on a Dell Lattitude 610 notebook, with an
ATI Technologies Inc Radeon Mobility M6 LY (rev 0) graphics card. I have had the
lockups happening since installing RH9.0 when scrolling through different X

Updated to kernel 2.4.20-18.9 in case the driver had been fixed, but I find that
the machine still locks up.

This is a personal laptop, so I am in a position to do some testing if required.
Comment 11 Garry Optland 2003-07-02 22:10:32 EDT
I also find the lockup happens sometimes when the screen saver has been running,
that is, without accessing it through Preferences. On moving the mouse, the
screen saver goes away, the cursor moves, but I can't select windows, and
CTR-ALT-BS or CTL-ALT-F1..F6 or CTL-ALT-DEL don't work. The only recourse is to
log in remotely and kill the screen saver process, which is still hanging around.

Comment 12 Osmo Laitinen 2003-07-07 07:05:46 EDT
Same problem here too. Using Dell Lattitude 610 notebook.
After installing Ximian Gnome issue got a bit worser.
Comment 13 Pawel Salek 2003-08-14 05:20:32 EDT
I get also frequently this error message (and X freeze) when I resize or move a
window with a 3D image in it. The faster I do it, the more often it happens.
Comment 15 Mike A. Harris 2004-09-29 17:30:01 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  We
encourage you to upgrade to the latest version of Fedora Core

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.